Debian Bug report logs - #474355
FTBFS on several arches

version graph

Package: kphotoalbum; Maintainer for kphotoalbum is Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>; Source for kphotoalbum is src:kphotoalbum.

Reported by: Andreas Barth <aba@not.so.argh.org>

Date: Sat, 5 Apr 2008 09:18:01 UTC

Severity: serious

Tags: patch

Found in version kphotoalbum/3.1.1-1

Fixed in versions kphotoalbum/3.1.1-1.1, kphotoalbum/3.1.1-2

Done: Fathi Boudra <fabo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>:
Bug#474355; Package kphotoalbum. Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
New Bug report received and forwarded. Copy sent to Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: submit@bugs.debian.org
Subject: FTBFS on several arches
Date: Sat, 5 Apr 2008 11:15:36 +0200
Package: kphotoalbum
Version: 3.1.1-1
Severity: serious

Hi,

kphotoalbum FTBFS on some arches:
http://buildd.debian.org/fetch.cgi?&pkg=kphotoalbum&ver=3.1.1-1&arch=sparc&stamp=1207381864&file=log
http://buildd.debian.org/fetch.cgi?&pkg=kphotoalbum&ver=3.1.1-1&arch=mips&stamp=1206592104&file=log
http://buildd.debian.org/fetch.cgi?&pkg=kphotoalbum&ver=3.1.1-1&arch=powerpc&stamp=1206656074&file=log

/build/buildd/kphotoalbum-3.1.1/./src/MainWindow/Window.cpp: In member function 'void MainWindow::Window::plug()':
/build/buildd/kphotoalbum-3.1.1/./src/MainWindow/Window.cpp:1320: error: must #include <typeinfo> before using typeid

Could it be that the failures are gcc-4.3-specific?



Cheers,
Andi
-- 
  http://home.arcor.de/andreas-barth/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>:
Bug#474355; Package kphotoalbum. Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@ianadd.pseudorandom.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 474355@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@ianadd.pseudorandom.co.uk>
To: 474355@bugs.debian.org
Cc: neilm@debian.org
Subject: kphotoalbum: diff for NMU version 3.1.1-1.1
Date: Sat, 5 Apr 2008 19:46:52 +0100
[Message part 1 (text/plain, inline)]
tags 474355 + patch
thanks

The attached trivial patch makes kphotoalbum stop FTBFSing with g++ 4.3
in i386 (the FTBFS appears to be specific only to g++ 4.3, not to the
architecture). I'm told this is likely to unblock a KDE transition.

Neil: care to sponsor an upload?

Thanks,
    Simon
[kphotoalbum-3.1.1-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Simon McVittie <smcv@ianadd.pseudorandom.co.uk> to control@bugs.debian.org. (Sat, 05 Apr 2008 18:51:03 GMT) Full text and rfc822 format available.

Reply sent to Simon McVittie <smcv@ianadd.pseudorandom.co.uk>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andreas Barth <aba@not.so.argh.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 474355-close@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@ianadd.pseudorandom.co.uk>
To: 474355-close@bugs.debian.org
Subject: Bug#474355: fixed in kphotoalbum 3.1.1-1.1
Date: Sat, 05 Apr 2008 19:47:13 +0000
Source: kphotoalbum
Source-Version: 3.1.1-1.1

We believe that the bug you reported is fixed in the latest version of
kphotoalbum, which is due to be installed in the Debian FTP archive:

kphotoalbum_3.1.1-1.1.diff.gz
  to pool/main/k/kphotoalbum/kphotoalbum_3.1.1-1.1.diff.gz
kphotoalbum_3.1.1-1.1.dsc
  to pool/main/k/kphotoalbum/kphotoalbum_3.1.1-1.1.dsc
kphotoalbum_3.1.1-1.1_i386.deb
  to pool/main/k/kphotoalbum/kphotoalbum_3.1.1-1.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 474355@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Simon McVittie <smcv@ianadd.pseudorandom.co.uk> (supplier of updated kphotoalbum package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 16:54:56 +0000
Source: kphotoalbum
Binary: kphotoalbum
Architecture: source i386
Version: 3.1.1-1.1
Distribution: unstable
Urgency: low
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Changed-By: Simon McVittie <smcv@ianadd.pseudorandom.co.uk>
Description: 
 kphotoalbum - tool for indexing, searching and viewing images by keywords for K
Closes: 474355
Changes: 
 kphotoalbum (3.1.1-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * The compiler error says "must #include <typeinfo> before using typeid",
     so, do. Fixes FTBFS (Closes: #474355)
Files: 
 b3a7116aace41675de81d14b2f0e82ea 987 kde optional kphotoalbum_3.1.1-1.1.dsc
 30f2b3696b967a4b6e11dfb767bd7ec7 7472 kde optional kphotoalbum_3.1.1-1.1.diff.gz
 bd7ebfa994e246e5e1448456c2a11da4 15687602 kde optional kphotoalbum_3.1.1-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH99Il97LBwbNFvdMRAulGAJwNLmpLlR6gvNWYEkDQCN34fA9Q8gCeL7k0
ncOMyk2z1DZLuumYRZRiYzw=
=Je1T
-----END PGP SIGNATURE-----





Reply sent to Fathi Boudra <fabo@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andreas Barth <aba@not.so.argh.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 474355-close@bugs.debian.org (full text, mbox):

From: Fathi Boudra <fabo@debian.org>
To: 474355-close@bugs.debian.org
Subject: Bug#474355: fixed in kphotoalbum 3.1.1-2
Date: Sat, 05 Apr 2008 19:32:03 +0000
Source: kphotoalbum
Source-Version: 3.1.1-2

We believe that the bug you reported is fixed in the latest version of
kphotoalbum, which is due to be installed in the Debian FTP archive:

kphotoalbum_3.1.1-2.diff.gz
  to pool/main/k/kphotoalbum/kphotoalbum_3.1.1-2.diff.gz
kphotoalbum_3.1.1-2.dsc
  to pool/main/k/kphotoalbum/kphotoalbum_3.1.1-2.dsc
kphotoalbum_3.1.1-2_amd64.deb
  to pool/main/k/kphotoalbum/kphotoalbum_3.1.1-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 474355@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Fathi Boudra <fabo@debian.org> (supplier of updated kphotoalbum package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 21:00:40 +0200
Source: kphotoalbum
Binary: kphotoalbum
Architecture: source amd64
Version: 3.1.1-2
Distribution: unstable
Urgency: low
Maintainer: Fathi Boudra <fabo@debian.org>
Changed-By: Fathi Boudra <fabo@debian.org>
Description: 
 kphotoalbum - tool for indexing, searching and viewing images by keywords for K
Closes: 474355
Changes: 
 kphotoalbum (3.1.1-2) unstable; urgency=low
 .
   * Add typeinfo include before using typeid. (Closes: #474355)
Files: 
 e3de5af54d9b7a486e99b9211f30486a 1101 kde optional kphotoalbum_3.1.1-2.dsc
 e4fefd4803610d9a0a899a77f913cae4 7418 kde optional kphotoalbum_3.1.1-2.diff.gz
 ae88ed95e9466ebbcc30cf9870e7d17f 15699208 kde optional kphotoalbum_3.1.1-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iQCVAwUBR/fQMoz1NfZqpXL3AQLPRgQAuor2EBvz4eqfgou+Cyt1ZpjhR4zWVgAe
eZ0Z4fzooA8Ob+NblvamKD+2ub+9GZ1HlqJpzIzp/wXYDA8rCc3dqht3YBAGlodx
BxRVgxJaO6Rv4dIIbzIWtkNIT/VXgbjJGPvpl+TuC5vfJYq77UjGdJ1OWViKPk2r
xiaHCZ+SUZo=
=keEo
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 06 May 2008 07:40:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:45:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.